<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="row"
          label="FiloBlu Row"
          menu_section="filoblu_layout_controls">
        <parents>
            <parent name="filoblu_popup" policy="allow"/>
            <parent name="filoblu_countdown_before" policy="allow"/>
            <parent name="filoblu_countdown_after" policy="allow"/>
        </parents>
        <appearances>
            <appearance name="contained"
                        preview_template="FiloBlu_Refilo/content-type/row/contained/preview"
                        master_template="FiloBlu_Refilo/content-type/row/contained/master">
                <elements>
                    <element name="main">
                        <css name="css_classes"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="above_fold" source="data-above-fold"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_image" source="background_image" converter="Magento_PageBuilder/js/converter/style/background-image" preview_converter="Magento_PageBuilder/js/converter/style/preview/background-image" persistence_mode="write"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="background_attachment" source="background_attachment"/>
                        <style name="text_align" source="text_align"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="justify_content" source="justify_content" persistence_mode="read"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins" preview_converter="Magento_PageBuilder/js/content-type/row/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings" preview_converter="Magento_PageBuilder/js/content-type/row/converter/style/paddings"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="rsp_speed" source="data-rsp-speed"/>
                        <attribute name="rsp_easing" source="data-rsp-easing"/>
                        <attribute name="rsp_root_margin" source="data-rsp-root-margin"/>
                        <attribute name="rsp_disabled" source="data-rsp-disabled"/>
                        <attribute name="rsp_should_always_complete_animation" source="data-rsp-should-always-complete-animation"/>
                        <attribute name="rsp_should_disable_scaling_translations" source="data-rsp-should-disable-scaling-translations"/>
                        <attribute name="rsp_start_scroll" source="data-rsp-start-scroll"/>
                        <attribute name="rsp_end_scroll" source="data-rsp-end-scroll"/>
                        <attribute name="rsp_target_element" source="data-rsp-target-element"/>
                        <attribute name="rsp_translate_x" source="data-rsp-translate-x"/>
                        <attribute name="rsp_translate_y" source="data-rsp-translate-y"/>
                        <attribute name="rsp_rotate" source="data-rsp-rotate"/>
                        <attribute name="rsp_rotate_x" source="data-rsp-rotate-x"/>
                        <attribute name="rsp_rotate_y" source="data-rsp-rotate-y"/>
                        <attribute name="rsp_rotate_z" source="data-rsp-rotate-z"/>
                        <attribute name="rsp_scale" source="data-rsp-scale"/>
                        <attribute name="rsp_scale_x" source="data-rsp-scale-x"/>
                        <attribute name="rsp_scale_y" source="data-rsp-scale-y"/>
                        <attribute name="rsp_scale_z" source="data-rsp-scale-z"/>
                        <attribute name="rsp_opacity" source="data-rsp-opacity"/>
                        <attribute name="rsp_on_progress_change" source="data-rsp-on-progress-change"/>
                        <attribute name="rsp_on_change" source="data-rsp-on-change"/>
                        <attribute name="rsp_on_enter" source="data-rsp-on-enter"/>
                        <attribute name="rsp_on_exit" source="data-rsp-on-exit"/>
                        <attribute name="video_source" source="data-video-source" converter=""/>
                        <attribute name="mobile_video_source" source="data-mobile-video-source"/>
                        <attribute name="background_video_path" source="data-background-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="background_mobile_video_path" source="data-background-mobile-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                    </element>
                    <element name="customInner">
                        <static_style source="padding" value="20px 20px 20px 20px"/>
                    </element>
                </elements>
            </appearance>
            <appearance name="full-width"
                        preview_template="FiloBlu_Refilo/content-type/row/contained/preview"
                        master_template="FiloBlu_Refilo/content-type/row/contained/master">
                <elements>
                    <element name="main">
                        <css name="css_classes"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="above_fold" source="data-above-fold"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="rsp_speed" source="data-rsp-speed"/>
                        <attribute name="rsp_easing" source="data-rsp-easing"/>
                        <attribute name="rsp_root_margin" source="data-rsp-root-margin"/>
                        <attribute name="rsp_disabled" source="data-rsp-disabled"/>
                        <attribute name="rsp_should_always_complete_animation" source="data-rsp-should-always-complete-animation"/>
                        <attribute name="rsp_should_disable_scaling_translations" source="data-rsp-should-disable-scaling-translations"/>
                        <attribute name="rsp_start_scroll" source="data-rsp-start-scroll"/>
                        <attribute name="rsp_end_scroll" source="data-rsp-end-scroll"/>
                        <attribute name="rsp_target_element" source="data-rsp-target-element"/>
                        <attribute name="rsp_translate_x" source="data-rsp-translate-x"/>
                        <attribute name="rsp_translate_y" source="data-rsp-translate-y"/>
                        <attribute name="rsp_rotate" source="data-rsp-rotate"/>
                        <attribute name="rsp_rotate_x" source="data-rsp-rotate-x"/>
                        <attribute name="rsp_rotate_y" source="data-rsp-rotate-y"/>
                        <attribute name="rsp_rotate_z" source="data-rsp-rotate-z"/>
                        <attribute name="rsp_scale" source="data-rsp-scale"/>
                        <attribute name="rsp_scale_x" source="data-rsp-scale-x"/>
                        <attribute name="rsp_scale_y" source="data-rsp-scale-y"/>
                        <attribute name="rsp_scale_z" source="data-rsp-scale-z"/>
                        <attribute name="rsp_opacity" source="data-rsp-opacity"/>
                        <attribute name="rsp_on_progress_change" source="data-rsp-on-progress-change"/>
                        <attribute name="rsp_on_change" source="data-rsp-on-change"/>
                        <attribute name="rsp_on_enter" source="data-rsp-on-enter"/>
                        <attribute name="rsp_on_exit" source="data-rsp-on-exit"/>
                        <attribute name="video_source" source="data-video-source" converter=""/>
                        <attribute name="mobile_video_source" source="data-mobile-video-source"/>
                        <attribute name="background_video_path" source="data-background-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="background_mobile_video_path" source="data-background-mobile-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                    </element>
                    <element name="customInner">
                        <static_style source="padding" value="20px 20px 20px 20px"/>
                    </element>
                </elements>
            </appearance>
            <appearance name="full-bleed"
                        preview_template="FiloBlu_Refilo/content-type/row/contained/preview"
                        master_template="FiloBlu_Refilo/content-type/row/contained/master">
                <elements>
                    <element name="main">
                        <css name="css_classes"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="above_fold" source="data-above-fold"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="rsp_speed" source="data-rsp-speed"/>
                        <attribute name="rsp_easing" source="data-rsp-easing"/>
                        <attribute name="rsp_root_margin" source="data-rsp-root-margin"/>
                        <attribute name="rsp_disabled" source="data-rsp-disabled"/>
                        <attribute name="rsp_should_always_complete_animation" source="data-rsp-should-always-complete-animation"/>
                        <attribute name="rsp_should_disable_scaling_translations" source="data-rsp-should-disable-scaling-translations"/>
                        <attribute name="rsp_start_scroll" source="data-rsp-start-scroll"/>
                        <attribute name="rsp_end_scroll" source="data-rsp-end-scroll"/>
                        <attribute name="rsp_target_element" source="data-rsp-target-element"/>
                        <attribute name="rsp_translate_x" source="data-rsp-translate-x"/>
                        <attribute name="rsp_translate_y" source="data-rsp-translate-y"/>
                        <attribute name="rsp_rotate" source="data-rsp-rotate"/>
                        <attribute name="rsp_rotate_x" source="data-rsp-rotate-x"/>
                        <attribute name="rsp_rotate_y" source="data-rsp-rotate-y"/>
                        <attribute name="rsp_rotate_z" source="data-rsp-rotate-z"/>
                        <attribute name="rsp_scale" source="data-rsp-scale"/>
                        <attribute name="rsp_scale_x" source="data-rsp-scale-x"/>
                        <attribute name="rsp_scale_y" source="data-rsp-scale-y"/>
                        <attribute name="rsp_scale_z" source="data-rsp-scale-z"/>
                        <attribute name="rsp_opacity" source="data-rsp-opacity"/>
                        <attribute name="rsp_on_progress_change" source="data-rsp-on-progress-change"/>
                        <attribute name="rsp_on_change" source="data-rsp-on-change"/>
                        <attribute name="rsp_on_enter" source="data-rsp-on-enter"/>
                        <attribute name="rsp_on_exit" source="data-rsp-on-exit"/>
                        <attribute name="video_source" source="data-video-source" converter=""/>
                        <attribute name="mobile_video_source" source="data-mobile-video-source"/>
                        <attribute name="background_video_path" source="data-background-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="background_mobile_video_path" source="data-background-mobile-video-path" converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                    </element>
                    <element name="customInner">
                        <static_style source="padding" value="20px 20px 20px 20px"/>
                    </element>
                </elements>
            </appearance>
        </appearances>
    </type>
</config>
